*********************************************************************************************************************
*********************************************************************************************************************
* 	scoring algorithm for the KIDSCREEN-52 proxy version			                  	 *
*********************************************************************************************************************
*********************************************************************************************************************

*	copyright and intelectual property: The European KIDSCREEN group		              *

**********************************************************************************************************************
* 	1) uses transformed KIDSCREEN item-scores (transformed e.g. by a priori application of the *
* 	syntax "transform_KIDSCREEN-52_rawdata.SPS")					  *
* 	2) based on the RASCH-Person-Parameter Estimates 					  *
* 	3) T-values were computed wich refer to the entire KIDSCREEN survey (escluded were 	  *
* 	cases older than 18, younger than 8, > 25% missings in KIDSCREEN items, with any 	  *
* 	missing in the particular scale)								  *
* 	4) for the entire European sample the mean of the T-values is 50, the standard deviation is 10 *
**********************************************************************************************************************



RECODE
  KP52PHY1
  (5=3)  (1 thru 2=1)  (3 thru 4=2)  (ELSE=Copy)  INTO  KP52PHYc .
VARIABLE LABELS KP52PHYc 'gh_y01 coll 1 + 2 & 3 + 4 & 5'.
EXECUTE .
MISSING VALUES KP52PHYc (0 +  6 thru 99999) .
EXECUTE .




COMPUTE KP52ph_R  = (KP52PHYc + KP52PHY2 + KP52PHY3 + KP52PHY4 + KP52PHY5 ) .
EXECUTE .

COMPUTE KP52pw_R  = (KP52PWB1 + KP52PWB2 + KP52PWB3 + KP52PWB4 + KP52PWB5 + KP52PWB6 ) .
EXECUTE .

COMPUTE KP52me_R  = (KP52EMO1 + KP52EMO2 + KP52EMO3 + KP52EMO4 + KP52EMO5 + KP52EMO6 + KP52EMO7 ) .
EXECUTE .

COMPUTE KP52sp_R  = (KP52SEL1 + KP52SEL2 + KP52SEL3 + KP52SEL4 + KP52SEL5 ) .
EXECUTE .

COMPUTE KP52au_R  = (KP52AUT1 + KP52AUT2 + KP52AUT3 + KP52AUT4 + KP52AUT5 ) .
EXECUTE .

COMPUTE KP52pa_R  = (KP52PAR1 + KP52PAR2 + KP52PAR3 + KP52PAR4 + KP52PAR5 + KP52PAR6 ) .
EXECUTE .

COMPUTE KP52fi_R  = (KP52FIN1 + KP52FIN2 + KP52FIN3 ) .
EXECUTE .

COMPUTE KP52pe_R  = (KP52SOC1 + KP52SOC2 + KP52SOC3 + KP52SOC4 + KP52SOC5 + KP52SOC6 ) .
EXECUTE .

COMPUTE KP52sc_R  = (KP52SCH1 + KP52SCH2 + KP52SCH3 + KP52SCH4 + KP52SCH5 + KP52SCH6 ) .
EXECUTE .

COMPUTE KP52bu_R  = (KP52BUL1 + KP52BUL2 + KP52BUL3 ) .
EXECUTE .




RECODE KP52ph_R  
(	5	=	-5.365	)	
(	6	=	-3.806	)	
(	7	=	-2.984	)	
(	8	=	-2.439	)	
(	9	=	-2.01	)	
(	10	=	-1.641	)	
(	11	=	-1.302	)	
(	12	=	-0.976	)	
(	13	=	-0.642	)	
(	14	=	-0.283	)	
(	15	=	0.114	)	
(	16	=	0.559	)	
(	17	=	1.049	)	
(	18	=	1.574	)	
(	19	=	2.116	)	
(	20	=	2.671	)	
(	21	=	3.273	)	
(	22	=	4.015	)	
(	23	=	5.318	).	
EXECUTE .

RECODE KP52pw_R  
(	6	=	-6.822	)	
(	7	=	-5.508	)	
(	8	=	-4.77	)	
(	9	=	-4.213	)	
(	10	=	-3.758	)	
(	11	=	-3.367	)	
(	12	=	-3.011	)	
(	13	=	-2.668	)	
(	14	=	-2.319	)	
(	15	=	-1.946	)	
(	16	=	-1.535	)	
(	17	=	-1.079	)	
(	18	=	-0.579	)	
(	19	=	-0.054	)	
(	20	=	0.48	)	
(	21	=	1.016	)	
(	22	=	1.571	)	
(	23	=	2.182	)	
(	24	=	2.901	)	
(	25	=	3.702	)	
(	26	=	4.474	)	
(	27	=	5.196	)	
(	28	=	5.914	)	
(	29	=	6.731	)	
(	30	=	8.079	).	
EXECUTE .

RECODE KP52me_R  
(	7	=	-5.709	)	
(	8	=	-4.45	)	
(	9	=	-3.785	)	
(	10	=	-3.299	)	
(	11	=	-2.901	)	
(	12	=	-2.554	)	
(	13	=	-2.241	)	
(	14	=	-1.952	)	
(	15	=	-1.68	)	
(	16	=	-1.42	)	
(	17	=	-1.169	)	
(	18	=	-0.922	)	
(	19	=	-0.677	)	
(	20	=	-0.432	)	
(	21	=	-0.183	)	
(	22	=	0.072	)	
(	23	=	0.336	)	
(	24	=	0.611	)	
(	25	=	0.9	)	
(	26	=	1.205	)	
(	27	=	1.529	)	
(	28	=	1.875	)	
(	29	=	2.248	)	
(	30	=	2.653	)	
(	31	=	3.101	)	
(	32	=	3.61	)	
(	33	=	4.212	)	
(	34	=	4.985	)	
(	35	=	6.33	).	
EXECUTE .

RECODE KP52sp_R  
(	5	=	-4.226	)	
(	6	=	-2.947	)	
(	7	=	-2.288	)	
(	8	=	-1.833	)	
(	9	=	-1.484	)	
(	10	=	-1.195	)	
(	11	=	-0.944	)	
(	12	=	-0.717	)	
(	13	=	-0.504	)	
(	14	=	-0.297	)	
(	15	=	-0.091	)	
(	16	=	0.12	)	
(	17	=	0.342	)	
(	18	=	0.583	)	
(	19	=	0.85	)	
(	20	=	1.154	)	
(	21	=	1.511	)	
(	22	=	1.941	)	
(	23	=	2.473	)	
(	24	=	3.188	)	
(	25	=	4.486	).	
EXECUTE .

RECODE KP52au_R  
(	5	=	-5.998	)	
(	6	=	-4.701	)	
(	7	=	-3.957	)	
(	8	=	-3.341	)	
(	9	=	-2.744	)	
(	10	=	-2.136	)	
(	11	=	-1.558	)	
(	12	=	-1.056	)	
(	13	=	-0.622	)	
(	14	=	-0.234	)	
(	15	=	0.129	)	
(	16	=	0.484	)	
(	17	=	0.843	)	
(	18	=	1.224	)	
(	19	=	1.642	)	
(	20	=	2.107	)	
(	21	=	2.617	)	
(	22	=	3.161	)	
(	23	=	3.757	)	
(	24	=	4.492	)	
(	25	=	5.785	).	
EXECUTE .

RECODE KP52pa_R  
(	6	=	-5.928	)	
(	7	=	-4.657	)	
(	8	=	-3.974	)	
(	9	=	-3.469	)	
(	10	=	-3.051	)	
(	11	=	-2.678	)	
(	12	=	-2.331	)	
(	13	=	-1.995	)	
(	14	=	-1.663	)	
(	15	=	-1.329	)	
(	16	=	-0.987	)	
(	17	=	-0.633	)	
(	18	=	-0.266	)	
(	19	=	0.115	)	
(	20	=	0.51	)	
(	21	=	0.916	)	
(	22	=	1.337	)	
(	23	=	1.775	)	
(	24	=	2.238	)	
(	25	=	2.736	)	
(	26	=	3.28	)	
(	27	=	3.876	)	
(	28	=	4.535	)	
(	29	=	5.329	)	
(	30	=	6.67	).	
EXECUTE .

RECODE KP52fi_R  
(	3	=	-5.385	)	
(	4	=	-3.984	)	
(	5	=	-3.097	)	
(	6	=	-2.313	)	
(	7	=	-1.573	)	
(	8	=	-0.853	)	
(	9	=	-0.113	)	
(	10	=	0.639	)	
(	11	=	1.398	)	
(	12	=	2.229	)	
(	13	=	3.18	)	
(	14	=	4.253	)	
(	15	=	5.804	).	
EXECUTE .

RECODE KP52pe_R  
(	6	=	-6.422	)	
(	7	=	-5.149	)	
(	8	=	-4.445	)	
(	9	=	-3.891	)	
(	10	=	-3.395	)	
(	11	=	-2.919	)	
(	12	=	-2.453	)	
(	13	=	-2.004	)	
(	14	=	-1.578	)	
(	15	=	-1.175	)	
(	16	=	-0.786	)	
(	17	=	-0.404	)	
(	18	=	-0.023	)	
(	19	=	0.362	)	
(	20	=	0.752	)	
(	21	=	1.151	)	
(	22	=	1.566	)	
(	23	=	2.003	)	
(	24	=	2.464	)	
(	25	=	2.939	)	
(	26	=	3.42	)	
(	27	=	3.918	)	
(	28	=	4.47	)	
(	29	=	5.171	)	
(	30	=	6.44	).	
EXECUTE .

RECODE KP52sc_R  
(	6	=	-6.238	)	
(	7	=	-4.763	)	
(	8	=	-3.936	)	
(	9	=	-3.366	)	
(	10	=	-2.932	)	
(	11	=	-2.57	)	
(	12	=	-2.246	)	
(	13	=	-1.94	)	
(	14	=	-1.638	)	
(	15	=	-1.328	)	
(	16	=	-0.999	)	
(	17	=	-0.645	)	
(	18	=	-0.265	)	
(	19	=	0.134	)	
(	20	=	0.543	)	
(	21	=	0.959	)	
(	22	=	1.387	)	
(	23	=	1.835	)	
(	24	=	2.306	)	
(	25	=	2.794	)	
(	26	=	3.293	)	
(	27	=	3.813	)	
(	28	=	4.39	)	
(	29	=	5.115	)	
(	30	=	6.405	).	
EXECUTE .

RECODE KP52bu_R  
(	3	=	-4.785	)	
(	4	=	-3.441	)	
(	5	=	-2.65	)	
(	6	=	-2	)	
(	7	=	-1.406	)	
(	8	=	-0.836	)	
(	9	=	-0.262	)	
(	10	=	0.344	)	
(	11	=	1.035	)	
(	12	=	1.908	)	
(	13	=	2.924	)	
(	14	=	3.985	)	
(	15	=	5.518	).	
EXECUTE .




Compute KP52ph_T = (((KP52ph_R  - 1.6534)  / 1.72649) * 10 + 50) .
EXECUTE .
Compute KP52pw_T  = (((KP52pw_R  - 3.1795)  / 2.46482) * 10 + 50) .
EXECUTE .
Compute KP52me_T  = (((KP52me_R  - 2.8889)  / 1.65309) * 10 + 50) .
EXECUTE .
Compute KP52sp_T  = (((KP52sp_R  - 1.6327)  / 1.36030) * 10 + 50) .
EXECUTE .
Compute KP52au_T  = (((KP52au_R  - 2.4396)  / 1.86406) * 10 + 50) .
EXECUTE .
Compute KP52pa_T  = (((KP52pa_R  - 2.8588)  / 1.98338) * 10 + 50) .
EXECUTE .
Compute KP52fi_T  = (((KP52fi_R  - 1.7112)  / 2.72474) * 10 + 50) .
EXECUTE .
Compute KP52pe_T  = (((KP52pe_R  - 1.8590)  / 1.98474) * 10 + 50) .
EXECUTE .
Compute KP52sc_T  = (((KP52sc_R  - 1.8857)  / 2.00823) * 10 + 50) .
EXECUTE .
Compute KP52bu_T  = (((KP52bu_R  - 3.8822)  / 1.85270) * 10 + 50) .
EXECUTE .



VAR LAB KP52ph_R 'proxy 52item Physical RASCH PP'.
EXECUTE .
VAR LAB KP52pw_R 'proxy 52item Psychological Wellbeing RASCH PP'.
EXECUTE .
VAR LAB KP52me_R 'proxy 52item Moods & Emotions RASCH PP'.
EXECUTE .
VAR LAB KP52sp_R 'proxy 52item Self Perception RASCH PP'.
EXECUTE .
VAR LAB KP52au_R 'proxy 52item Autonomy RASCH PP'.
EXECUTE .
VAR LAB KP52pa_R 'proxy 52item Parents RASCH PP'.
EXECUTE .
VAR LAB KP52fi_R 'proxy 52item Financial RASCH PP'.
EXECUTE .
VAR LAB KP52pe_R 'proxy 52item Peers RASCH PP'.
EXECUTE .
VAR LAB KP52sc_R 'proxy 52item School RASCH PP'.
EXECUTE .
VAR LAB KP52bu_R 'proxy 52item Bullying RASCH PP'.
EXECUTE .




VAR LAB KP52ph_T 'proxy 52item Physical international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KP52pw_T 'proxy 52item Psychological Wellbeing international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KP52me_T 'proxy 52item Moods & Emotions international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KP52sp_T 'proxy 52item Self Perception international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KP52au_T 'proxy 52item Autonomy international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KP52pa_T 'proxy 52item Parents international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KP52fi_T 'proxy 52item Financuial international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KP52pe_T 'proxy 52item Peers international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KP52sc_T 'proxy 52item School international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KP52bu_T 'proxy 52item Bullying international T-values based on RASCH PP'.
EXECUTE .

